@ECHO OFF
echo.
echo **WARNING** This script will reset all TextAloud settings to their defaults.  If you have pronunciation dictionaries created, they will not be affected.
echo.
echo If TextAloud is running, exit TextAloud before allowing this script to run.
echo.
set /p answer=Do you want to continue (Y/N) ?
if /i {%ANSWER%}=={y} (goto :yes)
if /i {%ANSWER%}=={yes} (goto :yes)
goto :no
:yes

REM ** Delete preferences from registry
echo.
REG DELETE HKCU\Software\NextUpTech\TextAloud3 /f
REG DELETE HKCU\Software\NextUpTech\TextAloudMP3.exe /f
REG DELETE HKCU\Software\NextUpTech\Windows\TextAloudMP3.exe /f
REG ADD HKCU\Software\NextUpTech\TextAloud3

REM ** delete configuration files from TA Data Folder

Set TADATADIR=%userprofile%\local settings\application data\nextup\textaloud

IF EXIST "%TADATADIR%\MainToolbarSettingsAcc.chl" DEL "%TADATADIR%\MainToolbarSettingsAcc.chl"
IF EXIST "%TADATADIR%\MainToolbarSettingsAcc_BK.chl" DEL "%TADATADIR%\MainToolbarSettingsAcc_BK.chl"
IF EXIST "%TADATADIR%\MainToolbarSettings.ini" DEL "%TADATADIR%\MainToolbarSettings.ini"
IF EXIST "%TADATADIR%\PopupMenuSettings.chl" DEL "%TADATADIR%\PopupMenuSettings.chl"
IF EXIST "%TADATADIR%\PopupMenuSettings_BK.chl" DEL "%TADATADIR%\PopupMenuSettings_BK.chl"
IF EXIST "%TADATADIR%\TrayIconMenuSettings.chl" DEL "%TADATADIR%\TrayIconMenuSettings.chl"
IF EXIST "%TADATADIR%\TrayIconMenuSettings_BK.chl" DEL "%TADATADIR%\TrayIconMenuSettings_BK.chl"
IF EXIST "%TADATADIR%\Preferences.xml" DEL "%TADATADIR%\Preferences.xml"
IF EXIST "%TADATADIR%\Preferences_BK.xml" DEL "%TADATADIR%\Preferences_BK.xml"

echo.
echo TextAloud settings have been reset to their defaults
echo.
goto :exit

:no
echo.
echo Your TextAloud settings were not changed.
echo.

:exit
Pause
